<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

include_once("../down/download.php");

function ext_fic_ok($extension)
{
	global
		$extensions_ok;
		
	$ext_ok = FALSE;

	if (in_array(".".$extension, $extensions_ok))
	{
		return true;
	}
	else
	{
		return false;
	}

	return true;
}

function date_fic_ok($fichier,$operande,$date)
{
	$date_ok = FALSE;
	$daterech_time = strtotime(datefrang($date));
	$datefile_time = strtotime(date("Y/m/d",filemtime($fichier)));
	
	switch ($operande)
	{
		case 0 : $date_ok = TRUE;
				break;
		case 1 : if ($datefile_time <= $daterech_time)
					$date_ok = TRUE;
				break;
		case 2 : if ($datefile_time >= $daterech_time)
					$date_ok = TRUE;
				break;
		case 3 : if ($daterech_time == $datefile_time)
					$date_ok = TRUE;
				break;
		case 4 : if ($daterech_time <> $datefile_time)
					$date_ok = TRUE;
				break;

		default: break;
	}
	
	return $date_ok;
}

function lit_dir($DIR,$niv_util,$code_util,$code_age)
{
	global
		$url_gfc;


	// Si on est admin, siège, agence, ou technicien, le répertoire maximum est le répertoire de base
	if ($niv_util >= 3)
		$rep_top = $url_gfc;
	// Si on est client, le répertoire maximum est le répertoire du client
	if ($niv_util == 1)
		$rep_top = $url_gfc."/clients/".strtolower($code_util);

	if ($DIR == $rep_top) // on est dans la "racine"
		$rep_cour = "";
	else
		$rep_cour = ereg_replace($rep_top."/","",$DIR);
		
	$dossier = opendir($DIR);
	
	while ($Fichier = readdir($dossier))
	{
		if ( ($Fichier != ".") && ($Fichier != "..") && ($Fichier != ".htaccess") )
		{
			if (is_dir($DIR."/".$Fichier) == TRUE)
			{
				$recupok=TRUE;
				// Tests si  Agence ou Technicien agence
				switch ($niv_util)
				{
					case 3 :
					case 4 :
						if ($rep_cour <> "")
							$chemin_rep = $rep_cour."/".$Fichier;
						else
							$chemin_rep = $Fichier;
							
						$tab_chemin=explode("/",$chemin_rep);
						switch ($tab_chemin[0])
						{
							// On ne peut afficher que le répertoire de l'agence
							case "agences" :
								if (count($tab_chemin)>1)
								{
									if ($tab_chemin[1]<>strtolower($code_age))
										$recupok=FALSE;
								}
								break;
							// On ne peut afficher que les clients de l'agence
							case "clients" :
								if (count($tab_chemin)>1)
									$recupok=client_age_ok($tab_chemin[1],$code_age,TRUE);
								break;
							// On ne peut pas afficher le chemin des imports (racine) pour les agences
							case "imports" :
								$recupok=FALSE;
								break;
							// On ne peut pas afficher le chemin des imports (racine) pour les agences
							case "pj" :
								$recupok=FALSE;
								break;
							default :
								break;
						}
						break;
					default :
						if ($rep_cour <> "")
							$chemin_rep = $rep_cour."/".$Fichier;
						else
							$chemin_rep = $Fichier;
						$recupok=TRUE;
						break;
				}
				if ($recupok==TRUE)
					$Arrayfic[]= array('nom' => $chemin_rep,'fichier' => 0);
			}
			else
			{
				$ext_fic = strtolower(substr( strrchr( $Fichier,  "." ), 1 ));
				if (ext_fic_ok($ext_fic) == TRUE)
				{
					$Arrayfic[]= array('nom' => $Fichier,'fichier' => 1);
				}
			}
		}
	}
   closedir($dossier);

   return $Arrayfic;
}

function sort_by_key($array, $index)
{
	$sort = array();
	//préparation d'un nouveau tableau basé sur la clé à trier
	foreach ($array as $key => $val) 
	{
		$sort[$key] = $val[$index];
	}
	//tri par ordre naturel et insensible à la casse
	natcasesort($sort);
	//formation du nouveau tableau trié selon la clé
	$output = array();
	foreach($sort as $key => $val) 
	{
		$output[] = $array[$key];
	}
	return $output;
}

function affiche_rep($rep,$niv_util,$code_util,$code_age,$operande,$date)
{
	global
		$rep_appli,
		$root,
		$url_gfc,
		$url_tfl,
		$taille_maxi_admin,
		$taille_maxi_cge,
		$taille_maxi_age,
		$taille_maxi_tec,
		$file_leech,
		$file_hack,
		$but_del,
		$but_move,
		$but_reinit,
		$but_envoyer,
		$txt_ent_lst_clic;

	// Si on est admin, siège, agence, ou technicien, le répertoire maximum est le répertoire de base
	if ($niv_util >= 3)
		$rep_top = $url_gfc;
	// Si on est client, le répertoire maximum est le répertoire du client
	if ($niv_util == 1)
		$rep_top = $url_gfc."/clients/".strtolower($code_util);

	$link_rep_clients = $url_gfc."/clients";
	$link_rep_agences = $url_gfc."/agences";

	$url_mkdir = "mdir.php?dir=".@$_GET['dir'];
	$link_icone = "<a href=\"javascript:;\" onclick=\"fensaisie('".$url_mkdir."',900,400,'status=no,scrollbars=no,menubar=no,statusbar=no,location=no,locationbar=no');\")><img src=\"../img/rep_add.png\" title=\"Ajouter un répertoire\" border=\"0\" align=\"absmiddle\"></a>";

	if ($rep == "") // On est dans la "racine"
	{
		// Variable donnant le chemin complet au répertoire courant
		$DIR = $rep_top;
	}
	else // On est dans un sous-répertoire
	{
		// Variable donnant le chemin complet au répertoire courant
		$DIR = $rep_top."/".$rep;
	}
	$aff_dir = TRUE;

	/* Contrôles des tentatives de Hacks */
	switch ($niv_util)
	{
		case 1 :
			// Si c'est un client, on vérifie :
			//   .Si dans le répertoire "clients/xxx", si on est bien dans celui du client
			$rep_ce_client = $link_rep_clients."/".strtolower($code_util);
			$pos = strpos($DIR, $rep_ce_client);
			if ($pos === FALSE)
				$aff_dir = FALSE;
			break;
		case 3 :
		case 4 :
			// Si c'est une agence ou un technicien, on vérifie :
			//   .Si dans le répertoire "agences/xxx", si on est bien dans celui de l'agence
			//   .Si dans le répertoire "clients/xxx", si le client est bien géré par l'agence

			// Contrôle si dans répertoire "agences/xxx"
			// On vérifie si rep_agences fait partie de DIR
			// (CaD si le répertoire à parcourir est dans le répertoire contenant toutes les agences)
			$pos = strpos($DIR, $link_rep_agences);
			if ($pos === FALSE) // On est pas dans le sous-répertoire privatif des agences, on peut donc afficher...sauf les imports
			{
				$pos2 = strpos($DIR, "imports");
				if ($pos2==FALSE)
					$aff_dir = TRUE;
				else
					$aff_dir = FALSE;
			}
			else // on y est
			{
				// "Pile" dans le répertoire principal des répertoires privés des agences,
				// On accepte le chemin à parcourir
				if ($DIR == $link_rep_agences) 
					$aff_dir = TRUE;
				else // On est dans un sous-répertoire au répertoire privatif des agences
				{
					$rep_cette_agence = $link_rep_agences."/".strtolower($code_age);
					// On vérifie si on est bien dans le répertoire de l'agence connectée
					$pos2 = strpos($DIR, $rep_cette_agence);
					if ($pos2 === FALSE) // On est pas dans le sous-répertoire privatif de cette agence, on ne peut pas afficher
						$aff_dir = FALSE;
				}
			}

			// Contrôle si dans répertoire "clients/xxx" (uniquement si pas déjà un problème)
			if ($aff_dir == TRUE)
			{
				// On vérifie si link_rep_clients fait partie de DIR
				// (CaD si le répertoire à parcourir est dans le répertoire contenant tous les clients)
				$pos = strpos($DIR, $link_rep_clients);
				if ($pos === FALSE) // On est pas dans le sous-répertoire privatif des clients, on peut donc afficher
					$aff_dir = TRUE;
				else // on y est
				{
					if ($rep <> "clients") // On est dans un sous-répertoire du répertoire "clients"
					{
						// Extraction du code client de l'URL
						$tab_rep_get = explode("/",$rep);
						$rep_get=$tab_rep_get[1];
						// Contrôle du code client récupéré
						if ($rep_get <> "")
						{
							$row2 = lit_enr_cli($rep_get,TRUE);
							if (is_array($row2)) // Ce code client existe, on vérifie donc le code agence "propriétaire" ou si non affecté
							{
								extract($row2);
								$row2 = lit_enr_age($code_age,TRUE); // On récupère informations sur l'agence
								if (is_array($row2))
								{
									extract($row2);
									// Vérifie si dans zone de chalandise
									$tab_depzc=tab_zcc_age_open($age_code,TRUE);
									if (count(tab_depzc)>0)
									{
										if (in_array($row["cli_dep"],$tab_depzc)==FALSE)
										{
											// Dans la zone mais affecté à une autre agence : refusé
											if (($cli_prop <> $code_age) AND ($cli_prop <> NULL))
												$aff_dir = FALSE;
										}
										else // Pas dans la zone : refusé
											$aff_dir = FALSE;
									}
									else // Pas de zone : refusé
										$aff_dir = FALSE;
								}
							}
						}
					}
				}
			}
			break;
		default :
			break;
	}

	if ($aff_dir == TRUE)
	{
		/* Affichage des icônes de création de répertoires */
		$aff_ico_addrep = FALSE;
		switch ($niv_util)
		{
			case 3 :
			case 4 :
			case 5 :
			case 9 :
				// On vérifie si on est dans le répertoire clients
				$pos1 = strpos($rep,"clients");
				if ($pos1 === FALSE)
				{
					// Non...On vérifie si on est dans le répertoire agences
					$pos2 = strpos($rep,"agences");
					if ($pos2 === FALSE)
					{
						// On est pas non plus dans le répertoire agences, on peut ajouter un répertoire si on est siège ou admin
						if (($rep=="") AND ($niv_util>=5))
							$aff_ico_addrep = TRUE;
						break;
					}
					else
					{
						// On y est..si on est dans un sous répertoire de "agences" (donc dans son répertoire privé),
						// on peut ajouter un répertoire
						if ($rep <> "agences")
							$aff_ico_addrep = TRUE;
					}
				}
				else
				{
					// Oui...si on est pas pile le répertoire clients (donc dans un sous répertoire client autorisé)
					// on peut ajouter un répertoire)
					if ($rep <> "clients")
						$aff_ico_addrep = TRUE;
				}
				break;
			default :
				break;
		}
		$txtrep="";
		if ($rep == "") // On est dans la "racine"
			$txtrep="Dossier racine";
		else // On est dans un sous-répertoire
		{
			// Variable donnant le chemin précédent par rapport au répertoire courant
			$rep_prec = strrev($rep);
			$pos = strpos($rep_prec, '/');
			if ($pos === FALSE)
			{
				$rep_prec = "";
			} 
			else 
			{
				$rep_prec = strrev(substr($rep_prec, $pos+1));
			}
			$txtrep=donne_desc_fic($DIR);
			if (trim($txtrep)=="")
				$txtrep=$rep;
	
		}
		// Affichage du répertoire courant simplifié
		echo "<table border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";     
		echo "<td width=\"50%\">";
		if ($rep<>"")
		{
			echo "<a href=\"fic_down.php?dir=".$rep_prec."&ope=".@$_GET['ope']."&date=".@$_GET['date']."\"> ";
			echo "[Niveau précédent]";
			echo "</a>";
			echo " ";
			echo "<a href=\"fic_down.php\">";
			echo "[Niveau principal]";
			echo "</a>";
		}
		else
			echo "&nbsp;";
		echo "</td>\n";
		echo "<td width=\"50%\" align=\"right\">";
		echo "<span class=\"annot_petit_gras\">";
		echo "Dossier actuel : ";
		echo "</span>";
		echo "<span class=\"annot_petit_it\">";
		echo $txtrep;
		echo "</span>";
		if ($aff_ico_addrep == TRUE)
			echo " ".$link_icone;
		echo "</td>\n";
		echo "</table>";

		if (is_dir($DIR))
		{
			$Lst_Fic = lit_dir($DIR,$niv_util,$code_util,$code_age);
	
			if (count($Lst_Fic) == 0)
			{
				echo "<br>";
				echo "<span class=\"annot_gras_it\">Aucun fichier trouvé</span><br>";
			}
			else
			{
				echo "<form name=\"fic_maj\" method=\"post\" action=\"fddmm.php\">";
				echo "<table class=\"Mtable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";     
				echo "<th>";
				echo "Choisir";
				echo "</th>\n";
				echo "<th>";
				echo "Nom du fichier";
				if ($niv_util == 9)
				{
					echo "<span class=\"annot_petit_it\">";
					echo " (propriétaire)";
					echo "</span>";
				}
				echo "</th>\n";
				echo "<th>";
				echo "Taille";
				echo "</th>\n";
				echo "<th>";
				echo "Date et heure de modification";
				echo "</th>\n";
				echo "<th>";
				echo "Téléchargé";
				echo "</th>\n";
				if ($niv_util >= 3)
				{
					echo "<th>";
					echo $txt_ent_lst_clic;
					echo "</th>\n";
				}
		
				$Tab_Fic = sort_by_key($Lst_Fic, 'fichier');
				$Tab_Fic = sort_by_key($Tab_Fic, 'nom');
	
				$i = 0;
			
				foreach ($Tab_Fic as $key => $val) 
				{
					$Fichier = $val['nom'];
	
					$txtrech = @$_GET['search'];
					$txtrech_maj = str_majuscules($txtrech);
	
					// Récupération des données MySQL
					if ($val['fichier'] == 1)
					{
						$chemin_fichier = $DIR."/".$Fichier;
						$fic_nbtel = donne_nbtel_ficdir($rep."/".$Fichier);
					}
					else
					{
						$chemin_fichier = $rep_top."/".$Fichier;
					}
	
					$existe=FALSE;
					$row = lit_enr_fic($chemin_fichier);
					if (is_array($row) == TRUE)
					{
						extract($row);
						if ($fic_nom==$chemin_fichier)
						{
							if ($fic_desc == "")
								$fic_desc = $Fichier;
							$existe=TRUE;
						}
						else
							$fic_desc = $Fichier;
					}
					else
						$fic_desc = $Fichier;
					if ($existe==TRUE)
						$createur = donne_createur_ficdir($chemin_fichier);
					else
						$createur="inconnu";
	
					// Test si recherche demandée
					if ($txtrech <> "")
					{
						$aff_fichier = FALSE;
					
						if ($val['fichier'] == 1) // C'est un fichier, on teste sur son "vrai" nom ou le descriptif
						{
							$fichier_maj = str_majuscules($Fichier);
						}
						else // C'est un répertoire, on teste sur le nom affiché ou le descriptif
						{
							if ($rep <> "") // On est dans un sous répertoire
								$nom_rep = substr(ereg_replace($rep,"",$Fichier),1);
							else
								$nom_rep = substr($Fichier,1);
							$fichier_maj = str_majuscules($nom_rep);
						}

						// Le nom réel du fichier ou répertoire correspond à la recherche
						// Ou le descriptif contien le(s) mot(s) recherché(s)
						if (ereg($txtrech_maj,$fichier_maj) OR ereg(strtoupper($txtrech),strtoupper($fic_desc)) OR ereg(strtoupper($txtrech),strtoupper($fic_createur)))
						{
							$aff_fichier = TRUE;
						}
					}
					else
						$aff_fichier = TRUE;
	
					if ($aff_fichier == TRUE) // Filtre sur chaîne recherchée
					{
						if ($val['fichier'] == 1) // C'est un fichier
						{
							$urlfic = $DIR."/".$Fichier;
							if (date_fic_ok($urlfic,$operande,$date) == TRUE) // Filtre sur date
							{
								// Création de l'entête de ligne (TR)
								creetrlst($i);

								if ($rep<>"")
									$nfic=$rep."/".$Fichier;
								else
									$nfic=$Fichier;

								echo "<td align=\"center\" width=\"30\">";
								if($i%2 == 0)
									$classe_aff="TRalter1";
								else
									$classe_aff="TRalter2";
								if ($niv_util >= 3)
								{
									if (($createur==$code_util) OR ($niv_util==9))
									{
										$mult_del=TRUE;
										$mult_mve=TRUE;
										echo "<input type=\"checkbox\" name=\"fic_choisi[]\" value=\"".$nfic."\" class=\"".$classe_aff."\" onclick=\"document.fic_maj.check.value=valbouton(document.fic_maj);\">";
									}
									else
										echo "&nbsp;";
								}
								echo "</td>\n";
								
								echo "<td width=\"50%\" align=\"center\">";
								if ($rep<>"")
									echo "<a href=\"../down/download.php?".$nfic."\">".$fic_desc."</a>";
								else
									echo "<a href=\"../down/download.php?".$Fichier."\">".$fic_desc."</a>";

								if ($niv_util == 9)
								{
									echo "<span class=\"annot_petit_it\">";
									echo " (".$createur.")";
									echo "</span>";
								}
								$detfic=donne_det_fic($chemin_fichier);
								if ($detfic<>"")
									echo " <a href=\"#\" class=\"pop\"><img src=\"../img/help.png\" alt=\"Descriptif\" border=\"0\" align=\"absmiddle\"><span>".formatetxtbr($detfic)."</span></a>";
								
								echo "</td>\n";
								echo "<td align=\"center\">";
								if ($niv_util == 1)
									echo download_size("clients/".strtolower($code_util)."/".$Fichier);
								else
									echo download_size($rep."/".$Fichier);
								echo "</td>\n";
								echo "<td align=\"center\">".date("d/m/Y H:i:s",filemtime($urlfic))."</td>\n";
								$nb_fois = $fic_nbtel." fois";
								echo "<td align=\"center\">".$nb_fois."</td>\n";
								if ($niv_util >= 3)
								{
									echo "<td align=\"center\">";
									if ($rep<>"")
										$chemin_get=$rep."/".$Fichier;
									else
										$chemin_get=$Fichier;
									if (($createur==$code_util) OR ($niv_util==9))
									{
										$lst_name=TRUE;
										$url_ren = "fdren.php?td=1&name=".$chemin_get;
										echo " <a href=\"javascript:;\" onclick=\"fensaisie('".$url_ren."',900,500,'status=no,scrollbars=no,menubar=no,statusbar=no,location=no,locationbar=no');\")><img src=\"../img/edit.png\" title=\"Nommer ou Renommer\" border=\"0\" align=\"absmiddle\"></a>";
									}
									if (($niv_util == 9) AND ($createur<>$code_util) AND ($existe==TRUE))
									{
										$lst_grab=TRUE;
										$url_grab = "fdgrab.php?td=1&name=".$chemin_get;
										echo " <a href=\"javascript:;\" onclick=\"fensaisie('".$url_grab."',700,300,'status=no,scrollbars=no,menubar=no,statusbar=no,location=no,locationbar=no');\")><img src=\"../img/get.png\" title=\"S'approprier le fichier\" border=\"0\" align=\"absmiddle\"></a>";
									}
									echo "</td>\n";
								}
			
								echo "</tr>\n";
							}
						}
						else // C'est un répertoire
						{
							// Création de l'entête de ligne (TR)
							creetrlst($i);

							echo "<td align=\"center\" width=\"30\">";
							if($i%2 == 0)
								$classe_aff="TRalter1";
							else
								$classe_aff="TRalter2";
							if ($niv_util >= 3)
							{
								if ((($createur==$code_util) OR ($niv_util==9)) AND ($Fichier <> "agences") AND ($Fichier <> "clients") AND ($Fichier <> "imports"))
								{
									$mult_del=TRUE;
									$mult_mve=TRUE;
									echo "<input type=\"checkbox\" name=\"fic_choisi[]\" value=\"".$Fichier."\" class=\"".$classe_aff."\" onclick=\"document.fic_maj.check.value=valbouton(document.fic_maj);\">";
								}
								else
									echo "&nbsp;";
							}
							echo "</td>\n";
							echo "<td width=\"50%\" align=\"center\">";
							echo "<a href=\"fic_down.php?dir=".$Fichier."&ope=".@$_GET['ope']."&date=".@$_GET['date']."\"> ".$fic_desc." </a>";
							if ($niv_util == 9)
							{
								echo "<span class=\"annot_petit_it\">";
								echo " (".$createur.")";
								echo "</span>";
							}
							$detfic=donne_det_fic($chemin_fichier);
							if ($detfic<>"")
								echo " <a href=\"#\" class=\"pop\"><img src=\"../img/help.png\" alt=\"Descriptif\" border=\"0\" align=\"absmiddle\"><span>".formatetxtbr($detfic)."</span></a>";
							echo "</td>\n";
							echo "<td>&nbsp;</td>\n";
							echo "<td align=\"center\">";
							echo "<span class=\"annot_std_it\">";
							echo "Répertoire";
							echo "</span>";
							echo "</td>\n";
							echo "<td>&nbsp;</td>\n";
							if ($niv_util >= 3)
							{
								echo "<td align=\"center\">";
								if ((($createur==$code_util) OR ($niv_util==9)) AND ($Fichier <> "agences") AND ($Fichier <> "clients") AND ($Fichier <> "imports"))
								{
									$lst_name=TRUE;
									$url_ren = "fdren.php?td=0&name=".$Fichier;
									echo " <a href=\"javascript:;\" onclick=\"fensaisie('".$url_ren."',900,500,'status=no,scrollbars=no,menubar=no,statusbar=no,location=no,locationbar=no');\")><img src=\"../img/edit.png\" title=\"Nommer ou Renommer\" border=\"0\" align=\"absmiddle\"></a>";
								}
								if (($niv_util == 9) AND ($createur<>$code_util) AND ($existe==TRUE))
								{
									$lst_grab=TRUE;
									$url_grab = "fdgrab.php?td=0&name=".$Fichier;
									echo " <a href=\"javascript:;\" onclick=\"fensaisie('".$url_grab."',700,300,'status=no,scrollbars=no,menubar=no,statusbar=no,location=no,locationbar=no');\")><img src=\"../img/get.png\" title=\"S'approprier le répertoire\" border=\"0\" align=\"absmiddle\"></a>";
								}
								echo "</td>\n";
							}
							echo "</tr>\n";
						}
						$i++;
					}
				}
		
				echo "</table>";
				if (($mult_mve==TRUE) OR ($mult_del==TRUE))
				{
					echo "<table border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";     
					echo "<tr>";
					echo "<td align=\"right\" width=\"50\">";
					echo "<img src=\"../img/arrow_ltr.png\" title=\"Supprimer le r&eacute;pertoire\" border=\"0\" align=\"absmiddle\"></a>";
					echo "</td>\n";
					echo "<td align=\"center\" width=\"80\">";
					echo " <input type=\"button\" name=\"check\" value=\"Tous\" style=\"text-decoration: none; font-size: 11px; color:White ;font-weight:bold;background-color: #666666;\" onclick=\"this.value=checkall(this.value,this.form);\">";
					echo "</td>\n";
					echo "<td>";
					echo " / ";
					echo "<span class=\"annot_std_gras\">";
					echo "Pour la s&eacute;lection : ";
					echo "</span>";
					if ($mult_del==TRUE)
						echo " <input type=\"submit\" name=\"multiple\" value=\"".$but_del."\" style=\"text-decoration: none; font-size: 11px; color:White ;font-weight:bold;background-color: #666666;\">";
					if ($mult_mve==TRUE)
						echo " <input type=\"submit\" name=\"multiple\" value=\"".$but_move."\" style=\"text-decoration: none; font-size: 11px; color:White ;font-weight:bold;background-color: #666666;\">";
					echo "</td>\n";
					echo "</tr>\n";
					echo "</table>";
				}
				echo "</form>";
		
				$taille_piedla="";
				include_once("piedla.inc.php"); 
	
				switch ($niv_util)
				{
					case 9 : echo "<p align=\"center\">";
							if (nbhacks_ficlog()>0)
								echo " <a href=\"flog_lst.php?search=hack&rech=Rechercher&ord=DES&tri=Date\">Hack(s) d&eacute;tect&eacute;(s)</a>";
							if (nbleechs_ficlog()>0)
								echo " <a href=\"flog_lst.php?search=leech&rech=Rechercher&ord=DES&tri=Date\">Leech(s) d&eacute;tect&eacute;(s)</a>";
							if (nbnfounds_ficlog()>0)
								echo " <a href=\"flog_lst.php?search=inconnu&rech=Rechercher&ord=DES&tri=Date\">Fichier(s) non touv&eacute;(s) détecté(s)</a>";
							echo "</p>";
							break;
								
					default : break;
				}
			}

			/* Affichage de la zone d'upload */
			$aff_upl = FALSE;
			switch ($niv_util)
			{
				case 3 :
				case 4 :
					// On vérifie si on est dans le répertoire clients
					$pos1 = strpos($rep,"clients");
					if ($pos1 === FALSE)
					{
						// Non...On vérifie si on est dans le répertoire agences
						$pos2 = strpos($rep,"agences");
						if ($pos2 === FALSE)
						{
							// On est pas non plus dans le répertoire agences, on ne peut pas télécharger
							break;
						}
						else
						{
							// On y est..si on est dans un sous répertoire de "agences" (donc dans son répertoire privé), on peut télécharger
							if ($rep <> "agences")
								$aff_upl = TRUE;
						}
					}
					else
					{
						// Oui...si on est pas pile le répertoire clients (donc dans un sous répertoire client autorisé), on peut télécharger)
						if ($rep <> "clients")
							$aff_upl = TRUE;
					}
					break;
				case 5 :
				case 9 : 
					// On vérifie si on est dans le répertoire clients
					$pos1 = strpos($rep,"clients");
					if ($pos1 === FALSE)
					{
						// Non...On vérifie si on est dans le répertoire agences
						$pos2 = strpos($rep,"agences");
						if ($pos2 === FALSE)
						{
							// On est pas non plus dans le répertoire agences, on peut télécharger
							$aff_upl = TRUE;
							break;
						}
						else
						{
							// On y est..si on est dans un sous répertoire de "agences" (donc dans son répertoire privé), on peut télécharger
							if ($rep <> "agences")
								$aff_upl = TRUE;
						}
					}
					else
					{
						// Oui...si on est pas pile le répertoire clients (donc dans un sous répertoire client autorisé), on peut télécharger)
						if ($rep <> "clients")
							$aff_upl = TRUE;
					}
					break;
				default :
					break;
			}
			if ($aff_upl == TRUE)
				include_once("upl.inc.php");
	   }
	   else
	   {
			echo "Le r&eacute;pertoire sp&eacute;cifi&eacute; n'existe pas ou erreur d'ouverture.";
	   }
	}
	else
	{
	?>
		<script type="text/javascript">
		<!--
		setTimeout("self.location.href=('fic_down.php');",2000)
		//-->
		</script>
	<?PHP
	}   
}
?>